$:.push File.expand_path("../lib", __FILE__)

# Maintain your gem's version:
require "calendar/version"
bundle_update_flag = ARGV[0]=='update' || ARGV[0]=='install'
if bundle_update_flag
    dir_pwd = ENV['PWD']
    template_path = dir_pwd + '/app/templates'
    app_path = File.expand_path(__dir__)
    all_template = Dir.glob(template_path+'/*/')

    puts 'copying calendar module'
    all_template.each do |folder|
        if folder.split('/')[-1] != 'mobile'
            begin 
                system ('cp -r '+ app_path + '/modules/ ' + folder)
            rescue 
                puts 'error copy'
            end
        end
    end
end
# Describe your gem and declare its dependencies:
Gem::Specification.new do |s|
  s.name        = "calendar"
  s.version     = Calendar::VERSION
  s.authors     = ["Harry Bomrah, Saurabh Bhatia"]
  s.email       = ["harry@rulingcom.com, saurabh@rulingcom.com"]
  s.homepage    = "http://www.rulingcom.com"
  s.summary     = "Calendar Module for Orbit."
  s.description = "A module to display events on a Calendar"

  s.files = Dir["{app,config,db,lib}/**/*"] + ["MIT-LICENSE", "Rakefile", "README.rdoc"]
  s.test_files = Dir["test/**/*"]

end
